package com.gree.mall.manager.bean.settle;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.workorder.PoolStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class SettleExpenseVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "所属商户")
//    private String companyWechatName;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "导入批次号")
    private String importBatchNo;

    @ApiModelProperty(value = "结算人数")
    private Integer settleByCount;

    @ApiModelProperty(value = "结算单数量")
    private Integer settleOrderCount;

    @ApiModelProperty(value = "结算金额")
    private BigDecimal settleAmount;

    @ApiModelProperty(value = "状态")
    private PoolStatusEnum status;

    @ApiModelProperty(value = "汇总名称")
    private String name;

    @ApiModelProperty(value = "汇总批次号")
    private String gatherBatchNo;

    @ApiModelProperty(value = "导入操作人")
    private String createBy;

    @ApiModelProperty(value = "导入时间")
    private Date createTime;

    @ApiModelProperty(value = "汇总人")
    private String gatherBy;

    @ApiModelProperty(value = "汇总时间")
    private Date gatherTime;

}
