package com.gree.mall.manager.bean.worker;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WorkerTeamVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "网点名称")
    private String name;

    @ApiModelProperty(value = "大工师傅名称")
    private String masterWorkerName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "大工师傅id")
    private String masterWorkerId;

    @ApiModelProperty(value = "大工师傅编号")
    private String masterWorkerNumber;

    @ApiModelProperty(value = "小工师傅名称")
    private String assistantWorkerName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "小工师傅id")
    private String assistantWorkerId;

    @ApiModelProperty(value = "小工师傅编号")
    private String assistantWorkerNumber;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
