package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum  SendPolciyEnum implements BaseEnum {

    IN("IN","新增"),
    RE("RE","替换"),
            ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;

}
