package com.gree.mall.manager.bean.contract;

import com.gree.mall.manager.plus.entity.ContractTemplate;
import com.gree.mall.manager.plus.entity.ContractTemplateField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class ContractTemplateBean extends ContractTemplate {

    @ApiModelProperty(value = "明细")
    private List<ContractWebsitBean> items;

    @ApiModelProperty(value = "模板字段")
    private List<ContractTemplateField> fieldItems;
}
