package com.gree.mall.manager.bean.settle.repair;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class DailyBankAccountVO {

    @ApiModelProperty(value = "银行账户id")
    private String id;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "服务人员名称")
    private String workerName;

    @ApiModelProperty(value = "身份证")
    private String idcard;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "银行卡号")
    private String bankAccount;

    @ApiModelProperty(value = "户名")
    private String bankAccountName;

    @ApiModelProperty(value = "开户行")
    private String depositBank;

    @ApiModelProperty(value = "开户行地址")
    private String bankAddr;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String updateBy;

    @ApiModelProperty(value = "操作时间")
    private Date updateTime;
}
