package com.gree.mall.manager.bean.workorder;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@ApiModel
@Data
public class OrderBaseCountBean {

    @ApiModelProperty("待派工数量")
    private Integer dpg = 0;
    @ApiModelProperty("待接收数量")
    private Integer djs = 0;
    @ApiModelProperty("待预约")
    private Integer dyy = 0;
    @ApiModelProperty("服务中数量")
    private Integer fwz = 0;
    @ApiModelProperty("异常待处理数量")
    private Integer ycdcl = 0;
    @ApiModelProperty("差评统计数量")
    private Integer cp = 0;
    @ApiModelProperty("待抢单")
    private Integer dqd = 0;

    @ApiModelProperty("七天订单趋势 新增工单，完工工单，进行中")
    private Map<String, List<Integer>> qtddqs;

    @ApiModelProperty("未来七天上门")
    private  List<Integer> qtsm;

    @ApiModelProperty("七天订单趋势 新增工单，完工工单，进行中")
    private Map<String, List<Integer>> wglxfb;
}
