package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.manager.bean.letter.LeDepartmentVO;
import com.gree.mall.manager.bean.letter.LeLetterVO;
import com.gree.mall.manager.bean.letter.LeProjectVO;
import com.gree.mall.manager.bean.letter.LeUserDepartmentVO;
import com.gree.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface LetterMapper {

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<LeDepartmentVO> list(Page page, @Param("ex") ZfireParamBean zfireParam,@Param("companyWechatIds")  List<String> adminCompanyIds);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<LeUserDepartmentVO> listUser(Page page,  @Param("ex")ZfireParamBean zfireParam, @Param("companyWechatIds")List<String> adminCompanyIds);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<LeProjectVO> listProject(Page page, @Param("ex")ZfireParamBean zfireParam,@Param("companyWechatIds") List<String> adminCompanyIds);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<LeLetterVO> listLetter(Page page,@Param("ex") ZfireParamBean zfireParam,@Param("companyWechatIds") List<String> adminCompanyIds,Boolean isWeb);
}
