package com.gree.mall.manager.enums;

import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum  NoticeWebsitStatusEnum implements BaseEnum {
    SEND("SEND", "已发布"),

    OFF("OFF", "已关闭"),

    ;


    private final String key;
    private final String remark;
}
